Skip to content

Create prescription item

Request

Creates a new Prescription Item record. Prescription Item resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
extensionsobject

Vendor- or practice-specific extensions.

instructionsstring

Free-text administration or usage instructions for this prescription item.

Example:"example"
isActivebooleanrequired

Whether the prescription item is active and usable.

Example:true
prescriptionIdstringrequired

Identifier of the parent prescription.

Example:"123e4567-e89b-12d3-a456-426614174000"
prescriptionItemIdstring

Canonical identifier for this prescription item.

Example:"123e4567-e89b-12d3-a456-426614174000"
productIdstringrequired

Identifier of the prescribed product.

Example:"123e4567-e89b-12d3-a456-426614174000"
quantityPrescribednumberrequired

Total quantity prescribed for this item.

Example:1.23
quantityRemainingnumberrequired

Remaining quantity that can still be dispensed.

Example:1.23
serialNumberstring or null

Serial number associated with this prescription item, if applicable.

Example:"example"
startDatestring

Date when the prescription item becomes valid.

Example:"2025-01-01"
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/prescription-item' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "extensions": {},
    "instructions": "example",
    "isActive": true,
    "prescriptionId": "123e4567-e89b-12d3-a456-426614174000",
    "prescriptionItemId": "123e4567-e89b-12d3-a456-426614174000",
    "productId": "123e4567-e89b-12d3-a456-426614174000",
    "quantityPrescribed": 1.23,
    "quantityRemaining": 1.23,
    "serialNumber": "example",
    "startDate": "2025-01-01"
  }'

Responses

Prescription Item created successfully

Bodyapplication/json
createdAtstring, (date-time)required

Timestamp when the prescription item was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

instructionsstringrequired

Free-text administration or usage instructions for this prescription item.

Example:"example"
isActivebooleanrequired

Whether the prescription item is active and usable.

Example:true
prescriptionIdstringrequired

Identifier of the parent prescription.

Example:"123e4567-e89b-12d3-a456-426614174000"
prescriptionItemIdstringrequired

Canonical identifier for this prescription item.

Example:"123e4567-e89b-12d3-a456-426614174000"
productIdstringrequired

Identifier of the prescribed product.

Example:"123e4567-e89b-12d3-a456-426614174000"
quantityPrescribednumberrequired

Total quantity prescribed for this item.

Example:1.23
quantityRemainingnumberrequired

Remaining quantity that can still be dispensed.

Example:1.23
serialNumberstring or nullrequired

Serial number associated with this prescription item, if applicable.

Example:"example"
startDatestring, (date-time)required

Date when the prescription item becomes valid.

Example:"2025-01-01T00:00:00Z"
updatedAtstring, (date-time)required

Timestamp when the prescription item was last modified.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "instructions": "example", "isActive": true, "prescriptionId": "123e4567-e89b-12d3-a456-426614174000", "prescriptionItemId": "123e4567-e89b-12d3-a456-426614174000", "productId": "123e4567-e89b-12d3-a456-426614174000", "quantityPrescribed": 1.23, "quantityRemaining": 1.23, "serialNumber": "example", "startDate": "2025-01-01T00:00:00Z", "updatedAt": "2025-01-01T00:00:00.000Z" }